aboutsummaryrefslogtreecommitdiff
path: root/bin/nwatch
diff options
context:
space:
mode:
Diffstat (limited to 'bin/nwatch')
-rwxr-xr-xbin/nwatch6
1 files changed, 5 insertions, 1 deletions
diff --git a/bin/nwatch b/bin/nwatch
index 9eb0f40..6a35f84 100755
--- a/bin/nwatch
+++ b/bin/nwatch
@@ -53,7 +53,11 @@ fi
# If the link to the XML file is legible, run the diff or give up
if [[ -r ${latest}.xml ]] ; then
- if ! ndiff -- "$latest".xml "$cache".xml > "$diff" ; then
+ ndiff -- "$latest".xml "$cache".xml > "$diff"
+
+ # Because we always want a report, only exit if an actual error condition
+ # (1 means there's a meaningful diff in the scans)
+ if (($? == 2)) ; then
exit
fi
fi